OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
TreeToMerge< TreeT >::MaskUnionOp Struct Reference

DynamicNodeManager operator used to generate a mask of the input tree, but with dense leaf nodes replaced with active tiles for compactness. More...

`#include <openvdb/tools/Merge.h>`

## Public Types
using | MaskT = MaskTreeType
using | RootT = typename MaskT::RootNodeType
using | LeafT = typename MaskT::LeafNodeType

## Public Member Functions
| MaskUnionOp (const TreeT &tree)
bool | operator() (RootT &root, size_t) const
template<typename NodeT >
bool | operator() (NodeT &node, size_t) const
bool | operator() (LeafT &, size_t) const

## Detailed Description

template<typename TreeT>
struct openvdb::v11_0::tools::TreeToMerge< TreeT >::MaskUnionOp

DynamicNodeManager operator used to generate a mask of the input tree, but with dense leaf nodes replaced with active tiles for compactness.

## Member Typedef Documentation

## ◆ LeafT

template<typename TreeT >

using LeafT = typename MaskT::LeafNodeType

## ◆ MaskT

template<typename TreeT >

using MaskT = MaskTreeType

## ◆ RootT

template<typename TreeT >

using RootT = typename MaskT::RootNodeType

## Constructor & Destructor Documentation

## ◆ MaskUnionOp()

template<typename TreeT >

MaskUnionOp | ( | const TreeT & | tree | ) |
| inline explicit

## Member Function Documentation

## ◆ operator()() [1/3]

template<typename TreeT >

bool operator() | ( | LeafT & | ,
|  | size_t |
| ) |  | const
| inline

## ◆ operator()() [2/3]

template<typename TreeT >
template<typename NodeT >

bool operator() | ( | NodeT & | node,
|  | size_t |
| ) |  | const

## ◆ operator()() [3/3]

template<typename TreeT >

bool operator() | ( | RootT & | root,
|  | size_t |
| ) |  | const